Subject: bug#44382: Updating the guix package triggers a full Git clone of guix.git

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 01 Jan 2022 23:59:26 -0500

Hi Leo,

Leo Famulari <[email-masked]> writes:

> On Sun, Nov 29, 2020 at 10:24:18PM -0500, Maxim Cournoyer wrote:
>> I had researched this before and the option the git server is missing is
>> uploadpack.allowAnySHA1InWant [0].  Unfortunately last I check in
>> #savannah their machine (vcs0) is using an older Trisquel stuck with git
>> v2.11.0, one patch version before when the above feature was introduced
>> (v2.11.1)!  If I understood correctly, they have a new VM vcs2 but it
>> needs to be completely setup before they can switch.
>
> Savannah is now using Git version 2.17.1. I wonder if we can have this
> option enabled now? I checked and the problem described by this bug
> still exists.

You'd want to check in #savannah, I think.  It'd help reduce bandwidth
and hasten 'guix pull' a bit if it were now possible, I think.

Thanks!

Maxim